/**********************************************************
***********************************************************
*               European Southern Observatory
*          VLTI MIDI Maintenance Templates Software
*
* Module name:  createProdKappa.h
* Description:  
*
*
* History:      
* 08-Dec-05     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _CREATE_PROD_KAPPA_H
#define _CREATE_PROD_KAPPA_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Enumeration definitions
**********************************************************/

/**********************************************************
*   Type definitions 
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void createKappaProd (
	int				update,
    MidiFiles   	*fileNames,
    ImageFormat 	*size,
	TransferRatios	*trRatios,
	int				*error);

void createKappaPrimHead (
    MidiFiles		*fileNames,
    ImageFormat		*size,
	TransferRatios	*trRatios,
    int				*error);

void createKappaQcLog (
	char	*inFitsName,
	int		*error);

void addProdInfoToKappaQcLog (
    ImageFormat		*format,
	MidiFiles		*fileNames,
	TransferRatios	*trRatios,
	int				*error);

void createTransferRatiosFile (
	int				update,
    ImageFormat		*format,
    MidiFiles		*fileNames,
    TransferRatios	*trRatios,
    int				*error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

